Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 87417

Summary: reproducable system lockup with kernel-2.4.18-26.8.0
Product: [Retired] Red Hat Linux Reporter: baiti <fb>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: fb, nitind
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description baiti 2003-03-26 19:50:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
System completely locks up during normal operation. Simple workloads e.g. a 
Linux kernel compile repeatedly and reproducably cause a total system lockup 
which requires a power-off/on cycle. The problem is not limited to kernel 
compile scenario, running ImageMagick's "convert" program on a set of digital 
photographs also crashed the machine. After a reboot the problem is 
reproducable within 2 minutes running some non trivial workloads as listed 
above.

The hardware is an ASUS A7V8X board with a VIA KT 400 Chipset. The processor 
is an Athlon XP 2000. Sound is disabled and no USB devices are attached. Disk 
is a Maxtor 60GB in UDMA(100) mode. Two Ethernets are configured: (1) the on-
board Broadcom adapter plus (2) an Intel Etherpro 100.

Version-Release number of selected component (if applicable):
kernel-2.4.18-26.8.0

How reproducible:
Always

Steps to Reproduce:
1.run kernel compile or ImageMagick's "convert" or run any other non-trivial 
workload that stresses processor and I/O
2.
3.
    

Actual Results:  system lockup, no panic screen

Additional info:

Using vanilla Linux-2.4.20, manually configured for the components that are 
actually installed in the computer makes the system run without any problems.

Comment 1 baiti 2003-05-29 14:25:36 UTC
I was wondering what the status of this bug is?

In the meantime I upgraded to RedHat 9 and the problem is still there. I have 
tried vanilla kernel trees (up to 2.4.21-rc6) and the official redhat kernels 
up to 2.4.20-13.9 and the problem is still reproducable.

PS: Is there any additional information that I could possibly provide?

Comment 2 Arjan van de Ven 2003-05-29 14:34:22 UTC
I would recommend to run the memtest86 test (www.memtest86.com iirc) to test
your ram chips; and to check for bios upgrades...

Comment 3 baiti 2003-05-29 16:55:34 UTC
have run memtest86, did not find any problems. Also have done BIOS update from 
ASUS support site today (currently running Version 1012 Beta 9, file name 
1012.011). The problem still persists.

Is this motherboard, or better the VIA KT400 chipset on it supposed to be 
supported sufficently current 2.4.x linux kernels?

I am very close to giving up on this board, in case I go for a replacement, 
would the A7N8x (with the nforce-2 chipset) be supported by RH 9?

Comment 4 Alan Cox 2003-06-05 16:59:36 UTC
KT400 works well with Linux. Except yours it seems 8)

I dont think its a simple incompatible hardware problem here


Comment 5 baiti 2003-06-06 06:05:35 UTC
have replaced the A7V8X (KT400) mainboard with an A7N8X (nforce2) mainboard and
moved DRAMs and processor to the new board. Bad enough the problem persisted. I
would conclude that it is indeed not a problem of the KT400 chipset support in
the Linux kernel.

As a next step I have replaced the Athlon XP 2000+ with an Athlon XP 1400+
(ripped it out of another PC) and with that processor the A7N8X runs just fine.
I haven't verified yet whether this processor also runs fine with the A7V8X.

It seems like  there is a problem with my Athlon XP 2000+ processor

Comment 6 Bugzilla owner 2004-09-30 15:40:42 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/